aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-text-vfile-asdata/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-06-02 11:28:09 +0300
committerTimo Teräs <timo.teras@iki.fi>2011-06-02 11:48:26 +0300
commit3837ebf76917de653cddb45e471c605b487279c3 (patch)
treecbf36cd15d02ebf92ea519fc6860cbcc49ceed6b /testing/perl-text-vfile-asdata/APKBUILD
parent2bf3cda70453df770c28c105aa5805b808f66f8a (diff)
downloadaports-3837ebf76917de653cddb45e471c605b487279c3.tar.gz
aports-3837ebf76917de653cddb45e471c605b487279c3.tar.bz2
aports-3837ebf76917de653cddb45e471c605b487279c3.tar.xz
testing/perl-text-vfile-asdata: new apkbuild-cpan generated aport
parse vFile formatted files into data structures http://search.cpan.org/dist/Text-vFile-asData/
Diffstat (limited to 'testing/perl-text-vfile-asdata/APKBUILD')
-rw-r--r--testing/perl-text-vfile-asdata/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-text-vfile-asdata/APKBUILD b/testing/perl-text-vfile-asdata/APKBUILD
new file mode 100644
index 0000000000..dca99e37ba
--- /dev/null
+++ b/testing/perl-text-vfile-asdata/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-text-vfile-asdata
+_pkgreal=Text-vFile-asData
+pkgver=0.07
+pkgrel=0
+pkgdesc="parse vFile formatted files into data structures"
+url="http://search.cpan.org/dist/Text-vFile-asData/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-class-accessor-chained"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="1f0fc1fbef2111a936db3eb4678ddccc Text-vFile-asData-0.07.tar.gz"